require "import"
import "android.media.MediaPlayer"

-- Función para obtener la ruta de los archivos de sonido
function get_file_path(filename)
  local paths = {
    "/storage/emulated/0/解说/Plugins/" .. filename,
    "/storage/emulated/0/解说/Complementos/" .. filename
  }
  
  for _, path in ipairs(paths) do
    if file_exists(path) then
      return path
    end
  end
  
  return nil
end

-- Función para verificar si un archivo existe
function file_exists(path)
  local file = io.open(path, "r")
  if file then
    io.close(file)
    return true
  else
    return false
  end
end

files_efectos = {
  "grabadora iq recorder/VideoRecord.ogg",
"grabadora iq recorder/VideoStop.ogg"
}

function stop_global_mp_efectos()
  if global_mp_efectos ~= nil then
    global_mp_efectos.stop()
    global_mp_efectos.release()
    global_mp_efectos = nil
  end
end

function play_music_efectos(index, volume)
  stop_global_mp_efectos()

  local file_path = get_file_path(files_efectos[index])
  if file_path == nil then
    print("Archivo no encontrado: " .. files_efectos[index])
    return
  end
  
  local mp_efectos = MediaPlayer()
  mp_efectos.setDataSource(file_path)
  mp_efectos.setVolume(volume, volume)
  mp_efectos.prepare()
  mp_efectos.start()
  
  mp_efectos.setOnCompletionListener(MediaPlayer.OnCompletionListener {
    onCompletion = function()
      mp_efectos.release()
      global_mp_efectos = nil
    end
  })
  
  global_mp_efectos = mp_efectos
end
play_music_efectos(1, 1.0)
require "import"
import "android.content.*"
this.startActivity(Intent(Intent.ACTION_MAIN).setComponent(ComponentName("com.hiqrecorder.full","yuku.perekammp3.ac.ShortcutToggleClickActivity")))
if RFirst then
RFirst = 1;
else
RFirst = 2;
end
if RFirst == 2 then
RCount = 1;
end
if RFirst == 1 then
RCount = RCount+1;
end
if RCount > 2 then
RCount = 1
end
switch RCount 
case 1
require "import"
import "android.content.Context"
import "android.os.Vibrator"

local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)

if vibrator.hasVibrator() then
    vibrator.vibrate(200)
end

return true

case 2
require "import"
import "android.content.Context"
import "android.os.Vibrator"

local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)

if vibrator.hasVibrator() then
    vibrator.vibrate(200)
play_music_efectos(2, 1.0)
end

return true


end
return true